<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHPFusionMods.com
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

if (!checkrights("NXV") || !$_GET['aid'] || !defined("iAUTH") || $_GET['aid'] !=
    iAUTH || !iADMIN) {
    redirect("index.php") . die("Access Denied");
}

require_once THEMES . "templates/admin_header.php";
require_once "inc.php";

$admin = dbquery("SELECT * FROM " . DB_VIDEO_SET . " LIMIT 0,1");
while ($d = dbarray($admin)) {
    $t_width = $d['t_width'];
    $t_height = $d['t_height'];
    $vmaxsize = $d['maxsize'];
    $maxi = $d['items'];
    $maxs = $d['maxsize'];
}

$file_image = "";
$cat_sorting = "id ASC";

if (isset($_GET['cat_id']) && isnum($_GET['cat_id'])) {
    $cat_id_isset = $_GET['cat_id'];
} else {
    $cat_id_isset = 0;
}

if (isset($_GET['status']) && !isset($message)) {
    if ($_GET['status'] == "sn") {
        $message = $locale['410x'];
    } elseif ($_GET['status'] == "su") {
        $message = $locale['411x'];
    } elseif ($_GET['status'] == "deln") {
        $message = $locale['412x'] . "<br />\n<span class='small'>" . $locale['413x'] .
            "</span>";
    } elseif ($_GET['status'] == "dely") {
        $message = $locale['414x'];
    }
    if ($message) {
        echo "<div id='close-message'><div class='admin-message'>" . $message .
            "</div></div>\n";
    }
}

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['cat_id']) &&
    isnum($_GET['cat_id']))) {
    $result = dbcount("(cat_id)", DB_VIDEO, "cat_id='" . $_GET['cat_id'] . "'");
    $result2 = dbcount("(cat_id)", DB_VIDEO_CAT, "cat_parent='".$_GET['cat_id']."'");
    if (!empty($result) || !empty($result2)) {
        redirect(FUSION_SELF . $aidlink . "&status=deln");
    } else {
        $result = dbquery("DELETE FROM " . DB_VIDEO_CAT . " WHERE cat_id='" . $_GET['cat_id'] .
            "'");
        redirect(FUSION_SELF . $aidlink . "&status=dely");
    }
} else {
    if (isset($_POST['save_cat'])) {

        if (isset($_POST['del_image']) && isset($_GET['cat_id']) && isnum($_GET['cat_id'])) {
            $result = dbquery("SELECT * FROM " . DB_PREFIX . "video_cat WHERE id='" . $_GET['id'] .
                "'");
            if (dbrows($result)) {
                $data = dbarray($result);
                if (!empty($data['cat_image']) && file_exists("images/cat_images/" . $data['cat_image'])) {
                    @unlink("images/cat_images/" . $data['cat_image']);
                }
            }
            $file_image = "";
            $file_image_thumb = "";
        } elseif (!empty($_FILES['file_image']['name']) && is_uploaded_file($_FILES['file_image']['tmp_name'])) {
            require_once INCLUDES . "infusions_include.php";
            $image = "file_image";
            $namef = $_FILES['file_image']['name'];
            $folder = "images/cat_images/";
            $width = "3000";
            $height = "3000";
            $size = "2000000";
            $upload = upload_image($image, $namef, $folder, $width, $height, $size, true, true, false,
                1, $folder, "_thumb", $t_width, $t_height);

            if ($upload['error'] != 0) {
                switch ($upload['error']) {
                    case 1:
                        $error = 9;
                        break;
                    case 2:
                        $error = 10;
                        break;
                    case 3:
                        $error = 11;
                        break;
                    case 4:
                        $error = 12;
                        break;
                    case 5:
                        $error = 13;
                        break;
                }
                $file_image = (isset($_POST['file_image']) ? $_POST['file_image'] : "");
            } else {
                // BIG ONE!! $file_image = $upload['image_name'];
                $file_image = $upload['thumb1_name']; // Thumbnail
            }

        } elseif (isset($_POST['file_image']) && $_POST['file_image'] != "") {
            $file_image = $_POST['file_image'];
        }

        $cat_name = stripinput($_POST['cat_name']);
        $cat_description = stripinput($_POST['cat_description']);
        $cat_access = isnum($_POST['cat_access']) ? $_POST['cat_access'] : "0";
        $cat_parent = isnum($_POST['cat_parent']) ? $_POST['cat_parent'] : "0";

        if ($cat_name) {
            if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['cat_id']) &&
                isnum($_GET['cat_id']))) {
                $result = dbquery("UPDATE " . DB_VIDEO_CAT . " SET cat_name='$cat_name', cat_description='$cat_description', cat_sorting='$cat_sorting', cat_access='$cat_access', cat_image='$file_image', cat_parent='$cat_parent' WHERE cat_id='" .
                    $_GET['cat_id'] . "'");
                redirect(FUSION_SELF . $aidlink . "&status=su");
            } else {
                $checkCat = dbcount("(cat_id)", DB_VIDEO_CAT, "cat_name='" . $cat_name . "'");
                if ($checkCat == 0) {
                    $result = dbquery("INSERT INTO " . DB_VIDEO_CAT .
                        " (cat_name, cat_description, cat_sorting, cat_access, cat_image, cat_parent) VALUES('$cat_name', '$cat_description', '$cat_sorting', '$cat_access', '$file_image', '$cat_parent')");
                    redirect(FUSION_SELF . $aidlink . "&status=sn");
                } else {
                    $error = 2;
                }
            }
        } else {
            $error = 1;
        }
    }
    if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['cat_id']) &&
        isnum($_GET['cat_id']))) {
        $result = dbquery("SELECT * FROM " . DB_VIDEO_CAT . " WHERE cat_id='" . $_GET['cat_id'] .
            "'");
        if (dbrows($result)) {
            $data = dbarray($result);
            $cat_name = $data['cat_name'];
            $cat_description = $data['cat_description'];
            $cat_sorting = explode(" ", $data['cat_sorting']);
            if ($cat_sorting[0] == "id") {
                $cat_sort_by = "1";
            } elseif ($cat_sorting[0] == "name") {
                $cat_sort_by = "2";
            } elseif ($cat_sorting[0] == "time") {
                $cat_sort_by = "3";
            } else {
                $cat_sort_by = "";
            }
            $cat_sort_order = $cat_sorting[1];
            $cat_access = $data['cat_access'];
            $file_image = $data['cat_image'];
            $formaction = FUSION_SELF . $aidlink . "&amp;action=edit&amp;cat_id=" . $data['cat_id'];
            $openTable = $locale['400x'];
        } else {
            redirect(FUSION_SELF . $aidlink);
        }
    } else {
        $cat_name = "";
        $cat_description = "";
        $cat_sort_by = "";
        $cat_sort_order = "ASC";
        $cat_access = "";
        $file_image = "";
        $formaction = FUSION_SELF . $aidlink;
        $openTable = $locale['401x'];
    }
    $user_groups = getusergroups();
    $access_opts = "";
    $sel = "";
    while (list($key, $user_group) = each($user_groups)) {
        $sel = ($cat_access == $user_group['0'] ? " selected='selected'" : "");
        $access_opts .= "<option value='" . $user_group['0'] . "'$sel>" . $user_group['1'] .
            "</option>\n";
    }

    if (isset($error) && isnum($error)) {
        if ($error == 1) {
            $errorMessage = $locale['460x'];
        } elseif ($error == 2) {
            $errorMessage = $locale['461x'];
        }
        if ($errorMessage) {
            echo "<div id='close-message'><div class='admin-message'>" . $errorMessage .
                "</div></div>\n";
        }
    }

    opentable($openTable);
    echo $netrixNav;
    require_once INCLUDES . "bbcode_include.php";
    echo "<form name='addcat' method='post' action='$formaction' enctype='multipart/form-data'>\n";
    echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
    echo "<td width='1%' class='tbl' style='white-space:nowrap'>" . $locale['420x'] .
        "</td>\n";
    echo "<td class='tbl'><input type='text' name='cat_name' value='" . $cat_name .
        "' class='textbox' style='width:200px;' /></td>\n";
    echo "</tr>\n<tr>\n";
    echo "<td width='1%' class='tbl' style='white-space:nowrap'>" . $locale['421x'] .
        "</td>\n";
    echo "<td class='tbl'><textarea name='cat_description' cols='60' rows='5' class='textbox' style='width:380px;'>" .
        $cat_description . "</textarea></td>\n";
    echo "</tr>\n<tr>\n";
    echo "<td class='tbl'></td><td class='tbl'>";
    echo display_bbcodes("100%", "cat_description", "addcat") . "</td>";
    echo "</tr>\n<tr>\n";
    echo "<td width='1%' class='tbl' style='white-space:nowrap'>{$locale['v_subcategory']}</td>\n";
    echo "<td class='tbl'><select name='cat_parent' class='textbox' style='width:150px;'>\n";
        $editlist = "";
        $sel = "";
        $result2 = dbquery("SELECT cat_id, cat_name, cat_parent FROM " . DB_PREFIX .
            "video_cat WHERE cat_parent = '0' ORDER BY cat_name");
        if (dbrows($result2) != 0)
        {
            while ($data2 = dbarray($result2))
            {
                if (isset($_GET['action']) && $_GET['action'] == "edit")
                {
                    $sel = ($data2['cat_id'] == $data['cat_parent'] ? " selected='selected'" : "");
                }
                $editlist .= "<option value='" . $data2['cat_id'] . "'$sel>" . $data2['cat_name'] .
                    "</option>\n";
            }
        }
    echo "<option value='0'".($sel == NULL ? " selected='selected'" : "").">None</option>";
    echo $editlist;
    echo "</select></td>\n";
    echo "</tr>\n<tr>\n";
    echo "<td width='1%' class='tbl' style='white-space:nowrap'>" . $locale['428x'] .
        "</td>\n";
    echo "<td class='tbl'><select name='cat_access' class='textbox' style='width:150px;'>\n" .
        $access_opts . "</select></td>\n";
    echo "</tr>\n<tr>\n";
    echo "<td class='tbl1' style='width:80px; vertical-align:top;'>{$locale['category_image']}</td>\n<td class='tbl1' style='vertical-align:top;'>\n";
    if (!empty($file_image)) {
        echo "<label><input type='checkbox' name='del_image' value='1' /> {$locale['del_image']}</label>\n";
        echo "<input type='hidden' name='file_image' value='" . $file_image . "' />";
    } else {
        echo "<input type='file' name='file_image' class='textbox' style='width:150px;' /><br />\n";
    }
    echo "</td>\n</tr>\n";
    echo "<td align='center' colspan='2' class='tbl'>\n";
    echo "<input type='submit' name='save_cat' value='" . $locale['429x'] .
        "' class='button' /></td>\n";
    echo "</tr>\n</table>\n</form>\n";
    closetable();

    opentable($locale['402x']);
    echo "<table width='400' cellspacing='1' cellpadding='0' class='tbl-border center'>\n";
    $result = dbquery("SELECT cat_id, cat_name, cat_description, cat_access FROM " .
        DB_VIDEO_CAT . " ORDER BY cat_name");
    if (dbrows($result) != 0) {
        $i = 0;
        echo "<tr>\n";
        echo "<td class='tbl2'>" . $locale['440x'] . "</td>\n";
        echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>" .
            $locale['441x'] . "</td>\n";
        echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>" .
            $locale['442x'] . "</td>\n";
        echo "</tr>\n";
        while ($data = dbarray($result)) {
            $cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
            echo "<tr>\n";
            echo "<td class='" . $cell_color . "'>" . $data['cat_name'] . "\n";
            if ($data['cat_description']) {
                echo "<br /><span class='small'>" . trimlink($data['cat_description'], 45) .
                    "</span>";
            }
            echo "</td>\n<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>" .
                getgroupname($data['cat_access']) . "</td>\n";
            echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='" .
                FUSION_SELF . $aidlink . "&amp;action=edit&amp;cat_id=" . $data['cat_id'] . "'>" .
                $locale['443x'] . "</a> -\n";
            echo "<a href='" . FUSION_SELF . $aidlink . "&amp;action=delete&amp;cat_id=" . $data['cat_id'] .
                "' onclick=\"return confirm('" . $locale['450x'] . "');\">" . $locale['444x'] .
                "</a></td>\n";
            echo "</tr>\n";
            $i++;
        }
        echo "</table>\n";
    } else {
        echo "<tr><td align='center' class='tbl1'>" . $locale['445x'] . "</td></tr>\n</table>\n";
    }
    closetable();
}

require_once THEMES . "templates/footer.php";
?>