<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHPFusionMods.com
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES . "templates/header.php";
include INFUSIONS . "video/infusion_db.php";
require_once INCLUDES . "bbcode_include.php";
include "inc.php";

$access = 0;
$count = 1;

$submit = "";

if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) {
    $_GET['rowstart'] = 0;
}

if (isset($_GET['cat_id']) && isnum($_GET['cat_id'])) {


    $gd = dbquery("SELECT cat_name, cat_image, cat_id FROM " . DB_VIDEO_CAT . " WHERE cat_id='" .
        $_GET['cat_id'] . "'");
    if ($gd) {
        while ($d = dbarray($gd)) {
        $catname = $d['cat_name'];
        $catimage = $d['cat_image'];
        $catid = $d['cat_id'];
        }
    } else {
        $catname = "";
        $catimage="";
        $catid = 0;
    }
    
    if ($catimage && file_exists("images/cat_images/" . $catimage)) {
        $catimage = $catimage;
    } else {
        $catimage = "cat1.png";
    }
    
    $tvids = dbcount("(cat_id)", DB_VIDEO, "cat_id='" . $_GET['cat_id'] . "'");
    $admin = NULL;
    if (iADMIN && checkrights("NXV")) {
        $admin = "<a href='acat.php{$aidlink}&action=edit&cat_id={$catid}'><img src='../../images/edit.png' style='width: 12px; height: 12px; vertical-align:middle;' alt='{$locale['400x']} - ' title='{$locale['400x']}' /></a> ";
    }
    opentable($admin.$catname);
    echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='100%'>\n";
    echo "<tr><td class='tbl2' width='50%' align='left'>";
    echo "<img src='images/cat_images/" . $catimage .
                    "' alt='' style='border:0; width: 32px; height: 32px; vertical-align:middle; float: left; margin-right: 5px;' />\n";
    echo "<span style='font-size: 15px; font-weight: bold;'>{$catname}</span><br />";
    echo "<span style='font-size: 10px; font-weight: bold;'>{$locale['v_tot']} ".number_format($tvids)."</span>";
    echo "</td>\n<td class='tbl2' width='50%'>";
    echo "<div style='text-align:right'><form name='search_video' action='search.php' method='get' enctype='application/x-www-form-urlencoded'>";
    echo "<input type='text' name='find' style='width:150px'>&ensp;";
    echo "<input type='submit' class='button' value='{$locale['s_button']}'>";
    echo "</form></div>";
    echo "</td>\n</tr>\n</table>";
    include_once "nav.php";
    $counter = 0;
    $sub_cat = TRUE;
    $result = dbquery("SELECT * FROM ".DB_VIDEO_CAT." WHERE cat_parent='".$_GET['cat_id']."'");
    if (dbrows($result)!=0) {
    $sub_cat = FALSE;
    echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='100%'>\n<tr>";
    echo "<td class='tbl2' valign='top'>\n<strong>{$locale['v_subcategories']}</strong> ";
        while ($data = dbarray($result)) {
            echo THEME_BULLET." <a href='index.php?cat_id=".$data['cat_id']."'>".$data['cat_name']."</a>&ensp;";
        }
        echo "</td>\n</tr>\n</table>\n";
        }
    $result = dbquery("SELECT v.*, vc.*, u.user_id, u.user_name, SUM(tr.rating_vote) AS sum_rating, COUNT(tr.rating_item_id) AS count_votes FROM " . DB_VIDEO . " v
        LEFT JOIN " . DB_VIDEO_CAT . " vc ON v.cat_id=vc.cat_id
        LEFT JOIN " . DB_USERS . " u ON u.user_id=v.uid
        LEFT JOIN " . DB_RATINGS . " tr ON tr.rating_item_id = v.id AND tr.rating_type='V'
        WHERE " . groupaccess('vc.cat_access') . " AND v.cat_id = '" . $_GET['cat_id'] .
        "' GROUP BY v.id LIMIT " . $_GET['rowstart'] . ",{$maxi}");
    $rows = dbrows($result);
    $rows2 = dbcount("(id)", DB_VIDEO, "cat_id='" . $_GET['cat_id'] . "'");
    if ($rows) {
        $counter = 0;
        echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='100%'>\n<tr>";
        while ($data = dbarray($result)) {
            if ($counter != 0 && ($counter % $columns == 0)) {
                echo "</tr>\n<tr>\n";
            }
            echo "<td valign='top' class='tbl' width='1%' style='padding: 0;'>";
            echo "<table cellpadding='0' cellspacing='1' width='100%' class='center'>\n";
            echo "<tr><td colspan='3' class='forum-caption'>";
            echo "<a href='video.php?id=" . $data['id'] . "'>" . $data['name'] . "</a>\n";
            echo "</td></tr>";
            echo "<tr><td width='1%' rowspan='2' class='tbl' valign='top'>";
            echo "<a href='video.php?id=" . $data['id'] . "'>";
            if ($data['video_type'] == "youtube" && $data['url']) {
                echo "<img src='http://img.youtube.com/vi/{$data['url']}/0.jpg' alt='' style='border:0; width: {$t_width}px; height: {$t_height}px;' />\n";
            } elseif (!empty($data['file_image_thumb']) && file_exists("images/" . $data['file_image_thumb'])) {
                echo "<img src='images/" . $data['file_image_thumb'] .
                    "' alt='' style='border:0; width: {$t_width}px; height: {$t_height}px;' />\n";
            } else {
                echo "<img src='images/cat_images/cat1.png' alt='' style='border:0; width: {$t_width}px; height: {$t_height}px;' />\n";
            }
            echo "</a></td><td width='99%' valign='top' class='tbl' colspan='2'>";
            if ($data['description'] != "") {
                $data['description'] = strip_bbcodes($data['description']);
                $data['description'] = trimlink($data['description'], 90);
                echo nl2br(parseubb(parsesmileys($data['description']),
                    "b|i|u|small|url|mail|img|color"));
            } else {
                //echo $locale['no_description_p'];
            }
            echo "</td></tr><tr><td width='50%' class='tbl' valign='bottom'><small>";
            echo number_format($data['views']) . " " . $locale['v_tv'] . "</small><br />\n";
            echo ($data['allow_ratings'] ? "" . ($data['count_votes'] > 0 ? str_repeat("<img src='" .
                get_image("star") . "' alt='*' style='vertical-align:middle; width: 13px; height: 13px;' />",
                ceil($data['sum_rating'] / $data['count_votes'])) : "<small>" . $locale['n_y_r'] .
                "</small>") : "<small>" . $locale['n_y_r'] . "</small>");
            echo "</td><td width='50%' class='tbl' valign='bottom'>";
            echo "<small><b>{$locale['video_author']} <a href='../../profile.php?lookup=" . $data['user_id'] .
                "' target='_self'>" . trimlink($data['user_name'], 12) .
                "</a></b></small><br />";
            echo "<small>" . showdate("shortdate", $data['time']) . "</small>";
            echo "</td></tr></table>";
            echo "</td>\n";
            $counter++;
        }
        echo "</tr>\n</table>\n";
        if ($rows2 > $maxi) {
            echo "<div align='center' style=';margin-top:5px;'>\n" . makepagenav($_GET['rowstart'],
                $maxi, $rows2, 3, FUSION_SELF . "?cat_id=" . $_GET['cat_id'] . "&amp;") . "\n</div>\n";
                }
    } else {
        //redirect("index.php");
        if ($sub_cat==TRUE) {
        echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='100%'>\n<tr>\n";
        echo "<td class='forum-caption' style='text-align:center; padding: 10px;'>" . $locale['no_vid'] .
            "</td>";
        echo "</tr></table>";
        }
    }
    footer();
    closetable();
} else {

    opentable($locale['v_index'] . "");
    $result = dbquery("SELECT * FROM " . DB_VIDEO_CAT . " WHERE cat_parent = '0' AND " . groupaccess('cat_access') .
        " ORDER BY cat_name ASC LIMIT " . $_GET['rowstart'] . ",{$maxi}");

    $rows = dbrows($result);
    $rows2 = dbcount("(cat_id)", DB_VIDEO_CAT." WHERE cat_parent ='0'");
    if ($rows) {
        $counter = 0;
        echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='100%'>\n";
        echo "<tr><td class='tbl2' width='50%'>{$locale['c_index']}";
        echo "</td>\n<td class='tbl2' width='50%'>";
        echo "<div style='text-align:right'><form name='search_video' action='search.php' method='get' enctype='application/x-www-form-urlencoded'>";
        echo "<input type='text' name='find' style='width:150px'>&ensp;";
        echo "<input type='submit' class='button' value='{$locale['s_button']}'>";
        echo "</form></div>";
        echo "</td>\n</tr>\n</table>";
        include_once "nav.php";
        echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='100%'>\n<tr>";
        while ($data = dbarray($result)) {
            $class = ($count % 2 == 0 ? "tbl2" : "tbl1");
            if ($counter != 0 && ($counter % $columns == 0)) {
                echo "</tr>\n<tr>\n";
            }
            $tvids = dbcount("(cat_id)", DB_VIDEO, "cat_id='" . $data['cat_id'] . "'");
            echo "<td valign='top' class='tbl' width='1%' style='padding: 0;'>";
            echo "<table cellpadding='0' cellspacing='1' width='100%' class='center'>\n";
            echo "<tr><td colspan='2' class='forum-caption' width='100%'>";
            echo "<a href='" . FUSION_SELF . "?cat_id=" . $data['cat_id'] . "'>\n";
            echo $data['cat_name'] . "</a>";
            echo "</td></tr>";
            echo "<tr><td width='1%' class='tbl' valign='top'>";
            ///echo "<tr><td width='1%' class='".$class."'>";
            if (!empty($data['cat_image']) && file_exists("images/cat_images/" . $data['cat_image'])) {
                $cimage = $data['cat_image'];
            } else {
                $cimage = "cat1.png";
            }
            echo "<a href='" . FUSION_SELF . "?cat_id=" . $data['cat_id'] . "'>\n";
            echo "<img src='images/cat_images/" . $cimage .
                "' alt='' style='border:0; width: {$t_width}px; height: {$t_height}px;' /></a>";
            echo "</td><td width='99%' valign='top' class='tbl'>";
            //echo "</td><td width='99%' valign='top' class='".$class."'>";
            //echo "<strong>" . $tvids . " Video(s)</strong>";
            if ($data['cat_description'] != "") {
                $data['cat_description'] = strip_bbcodes($data['cat_description']);
                $data['cat_description'] = trimlink($data['cat_description'], 90);
                echo nl2br(parseubb(parsesmileys($data['cat_description']),
                    "b|i|u|small|url|mail|img|color"));
            } else {
                //echo $locale['no_description_p'];
            }
            //$result2 = dbquery("SELECT * FROM ".DB_VIDEO_CAT." WHERE cat_parent='".$data['cat_id']."' AND " . groupaccess('cat_access') ."");
            //if (dbrows($result2) != 0) {
                //echo "<br /><br />{$locale['v_subcategories']}";
                //while ($datax = dbarray($result2)) {
                    //echo THEME_BULLET." <a href='index.php?cat_id=".$datax['cat_id']."'>".$datax['cat_name']."</a>";
                //}
            //}
            echo "</td></tr>";
            echo "</table>\n";
            echo "</td>\n";
            $counter++;
            $count++;
        }
        echo "</tr>\n</table>\n";
        
        if ($rows2 > $maxi) {
            echo "<div align='center' style=';margin-top:5px;'>\n" . makepagenav($_GET['rowstart'],
                $maxi, $rows2, 3, FUSION_SELF . "?") . "\n</div>\n";
                }
    } else {
        echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='100%'>\n<tr>\n";
        echo "<td class='forum-caption' style='text-align:center; padding: 10px;'>" . $locale['no_vid_cat_p'] .
            "</td>";
        echo "</tr></table>";
    }
    footer();
    closetable();
}

require_once THEMES . "templates/footer.php";

?>