<?php

# Locales // English
# If you translate to another language,
# please provide your translation on my
# website - phpfusionmods.com ^_^ TY
# I've updated for easier changes in future
# See changes by version

//Current Version
$version = "3.0.3";

// Version 3.0.2
$locale['v_subcategory'] = "Parent Category:";
$locale['v_subcategories'] = "Subcategories:";
$locale['logo_position_lo'] = "Logo Position:";
$locale['v_author_info'] = "Uploader";
$locale['v_time_info'] = "Date Added";
$locale['v_views_info'] = "Views";
$locale['v_desc_info'] = "Description";
$locale['v_rating_info'] = "Rating";
$locale['video_custom'] = "Custom Embed:";

// Version 3.0
$locale['v_thumb_d'] = "Thumbnail Size:";
$locale['v_thumb_w'] = "Width";
$locale['v_thumb_h'] = "Height";
$locale['v_items_p_page'] = "Items Per Page:";
$locale['edit_v_x'] = "Edit Video";
$locale['v_rights'] = "Video Adding Rights";
$locale['v_rights_allow'] = "Enable User Rights:";
$locale['v_rights_enable'] = "Group With Rights:";
$locale['def_vid_type'] = "Default Video Type:";
$locale['n_y_r'] = "No Rating";
$locale['u_allowed'] = "Max Allowed by PHP Configuration:";
$locale['u_not_allowed'] = "Your PHP Configuration does not allow uploads!";
$locale['n_cat_add'] = "Add Category Here";
$locale['n_cat_defined'] = "You cannot add videos without categories.";
$locale['no_vid_cat_p'] = "There are currently no videos/categories.";
$locale['no_description_p'] = "No description.";
$locale['no_rated_videos'] = "There are currently no videos with ratings.";
$locale['top_rated_videos'] = "Top Rated Videos";
$locale['top_viewed_videos'] = "Most Popular Videos";
$locale['video_author'] = "From:";
$locale['i_water_d'] = "Image Watermark Cannot Exceed 400x400.";
$locale['ini_1'] = "Post Max Size:";
$locale['ini_2'] = "Max Input Time:";

// Navigation
$locale['v_nav_1'] = "Categories";
$locale['v_nav_2'] = "Most Recent";
$locale['v_nav_3'] = "Top Rated";
$locale['v_nav_4'] = "Popular Videos";

// User Fields
$locale['uf_videos'] = "User Videos";
$locale['uf_videos_desc'] = "Display recently posted videos by the user in profile.";

// Version 2.1
$locale['i_title'] = "Videos";
$locale['i_desc'] = "Video CMS";
$locale['i_atitle'] = "Video Admin";
$locale['v_sdel'] = "Video Deleted";
$locale['add_video'] = "Add Video";
$locale['video_success'] = "Video added successfully";
$locale['video_update'] = "Updated successfully";
$locale['video_deleted'] = "Video deleted";
$locale['video_title'] = "Video Title:";
$locale['video_description'] = "Description:";
$locale['video_url'] = "URL:";
$locale['video_type'] = "Video Type:";
$locale['type_file'] = "File";
$locale['type_url'] = "URL";
$locale['type_youtube'] = "YouTube";
$locale['type_custom'] = "Custom";
$locale['video_category'] = "Category:";
$locale['video_file'] = "Video File:";
$locale['del_video'] = "Delete video";
$locale['video_image'] = "Video Image:";
$locale['category_image'] = "Category Image:";
$locale['del_image'] = "Delete image";
$locale['allow_ratings'] = "Ratings:";
$locale['allow_comments'] = "Comments:";
$locale['save_video'] = "Save Video";
$locale['save_video_e'] = "Save Edited Video";
$locale['v_exp'] = "YouTube: http://www.youtube.com/watch?v=<span style='color:red;'>I5NUkb-0lRo</span><br />\n";
$locale['v_exp'] .= "Source: <span style='color:red;'>http://www.example.com/file.flv</span><br />\n";
$locale['v_exp'] .= "Only use the portions highlighted as <span style='color:red;'>red</span>.\n";
$locale['no_vid'] = "There are no videos for this category.";
$locale['edit'] = "Edit Video";
$locale['v_index'] = "Video Category";
$locale['v_tot'] = "Total Videos:";
$locale['c_index'] = "Category Index";
$locale['v_no'] = "<div class='admin-message'>Video Not Found</div>";
$locale['v_ab'] = "Added On:";
$locale['v_pb'] = "Posted By:";
$locale['v_tv'] = "View(s)";
$locale['v_rat'] = "Rated";
$locale['v_ratings'] = "Ratings";
$locale['v_already'] = "Already Voted!";
$locale['v_record'] = "Vote Recorded!";
$locale['v_cat'] = "Category";
$locale['t-ratings'] = "Total Ratings:";
$locale['err_0'] = "Video Title is blank.";
$locale['err_1'] = "Filename was Invalid";
$locale['err_2'] = "File must be less than %s.";
$locale['err_3'] = "File must be one of the following file types: %s.";
$locale['err_4'] = "File/URL/Custom was left blank.";
$locale['err_5'] = "Empty Title";
$locale['err_6'] = "";
$locale['err_7'] = "Unknown Error";
$locale['err_8'] = "Unknown Error";
$locale['err_9'] = "Image must be less than %s.";
$locale['err_10'] = "Image must be one of the following file types: %s.";
$locale['err_11'] = "Image must be smaller than %s.";
$locale['err_12'] = "Unknown Error";
$locale['err_13'] = "Unknown Error";
$locale['nvideo'] = "Add Video";
$locale['ncat'] = "Manage Categories";
$locale['nsettings'] = "Manage Settings";
$locale['nindex'] = "View Videos";
$locale['s_opentable'] = "Find a Video";
$locale['s_button'] = "Find Video";
$locale['s_results'] = "Sorry, your search didn't provide results.";
$locale['400x'] = "Edit Category";
$locale['401x'] = "Add Category";
$locale['402x'] = "Current Categories";
$locale['cat_desc'] = "Description:";
$locale['410x'] = "Category added";
$locale['411x'] = "Category updated";
$locale['412x'] = "Category cannot be deleted";
$locale['413x'] = "There are videos/subcategories linked to this category";
$locale['414x'] = "Category deleted";
$locale['420x'] = "Category Name:";
$locale['421x'] = "Category Description:";
$locale['422x'] = "Category Sorting:";
$locale['423x'] = "ID";
$locale['424x'] = "Title";
$locale['425x'] = "Date";
$locale['426x'] = "Ascending";
$locale['427x'] = "Descending";
$locale['428x'] = "Category Access:";
$locale['429x'] = "Save Category";
$locale['440x'] = "Category";
$locale['441x'] = "Access";
$locale['442x'] = "Options";
$locale['443x'] = "Edit";
$locale['444x'] = "Delete";
$locale['445x'] = "There are no Categories defined";
$locale['450x'] = "Delete this category?";
$locale['460x'] = "Please enter a category name.";
$locale['461x'] = "This category already exists.";
$locale['c_v_delete'] = "Delete Video?";
$locale['v_delete'] = "Delete";
$locale['v_edit'] = "Edit";
$locale['a_update'] = "Settings Updated";
$locale['a_width'] = "Width";
$locale['a_height'] = "Height";
$locale['a_save'] = "Save Settings";
$locale['a_global'] = "Global Settings";
$locale['p_set'] = "Player Settings";
$locale['a_dim'] = "Player Size:";
$locale['a_col'] = "Background Color:";
$locale['cexample'] = "Example: #000000";
$locale['a_skin'] = "Player Skin:";
$locale['a_cont'] = "Controlbar:";
$locale['a_auto'] = "Auto Start:";
$locale['a_disp'] = "Display:";
$locale['v_preview'] = "Video Settings Preview";
$locale['va_settings'] = "Video Admin Settings";
$locale['b_only'] = "Bytes Only";
$locale['a_default'] = "default";
$locale['a_columns'] = "Videos Per Row:";
$locale['v_max'] = "Max File Size:";
$locale['v_rep'] = "This text should be replaced. If not, please check that you have the correct radio button checked for the video.";
$locale['a_ads'] = "Show Ads:";
$locale['yes'] = "Yes";
$locale['no'] = "No";
$locale['latest-videos'] = "Most Recent Videos";

// Version 2.2
$locale['s_logo'] = "Watermark Logo:";
$locale['no_categories'] = "No categories defined.";
$locale['support_ads'] =
    "Help support this infusion by keeping the advertisements enabled.";
$locale['c_updates'] = "<strong>Check for Updates</strong>";
$locale['submit_inc'] = "Submissions";
$locale['submit_acc'] = "Video Submissions";
$locale['submit_video'] = "Submit Video";
$locale['submit_current'] = "Submitted Videos";
$locale['submit_none'] = "There are no submissions.";
$locale['submit_cur'] = "Current Submissions";
$locale['submit_set'] = "Submission Settings";
$locale['submit_right'] = "Submission Rights:";
$locale['submit_enable'] = "Enable Submissions";
$locale['s_view'] = "View";
$locale['save_video_x'] = "Accept Submission";
$locale['v_allowed'] =
    "Extensions Allowed: .flv, .mp4, .mov, .f4v, .3gp, .3g2, .wmv";
    
// PM Message On INFUSE -- Please don't translate unless you know what your doing
$locale['infusion_message_subject_video'] = "Video Infusion Information";

$locale['infusion_message_video'] = "[b][center]Video Infusion Pro v{$version} by NetriX
Website: [url=http://phpfusionmods.com]PHPFusionMods.com[/url][/center][/b]

[b][u]About This Infusion[/u][/b]

This is an infusion that will allow you to upload your own videos through the administration panel, embed custom video/media source, and add YouTube videos and custom source urls.

You also have the option to configure the look of your video player's skin through the administration page.

Features
 -Video CMS
 - Video Upload
 - YouTube Compatible
 - Optional Skins
 - Addon Implementation
 - Share Features
 - High Definition Setting
 - Highly Customizable
 - Supported Video (flv mp4 mov f4v 3gp 3g2 wmv)


[b][u]Developer Notes[/u][/b]

I had a lot of fun in creating this addon for the community. While minor versions of this infusion were emphasized around getting a general direction of where to take this infusion, I personally feel were getting ever closer to my original concept along with user suggestions with version 3.

This infusion was created with simplicity in mind and the intent to produce a more stable environment for its purpose in use.


[b][u]Installation Guide[/u][/b]

[b]Step #1[/b]
Upload the contents of the infusion into all the respective directories.

 - UPLOAD\administration\images >> ROOT/administration/images/
 -UPLOAD\infusions\video >> ROOT/infusions/video/
 - UPLOAD\includes\user_fields >> ROOT/includes/user_fields/
 - UPLOAD\locale\English\user_fields >> ROOT/locale/English/user_fields/


[b]Step #2[/b]
Navigate to: Admin Panel > System Admin > Infusions

Select \"Video\" from drop down menu.

Click \"Infuse\".


[b]Upgrading Infusion[/b]
Navigate to: Admin Panel > System Admin > Infusions

Select Video from drop down menu (should be green).

Click \"Infuse\".


[b]Unistalling Infusion[/b]
Navigate to: Admin Panel > System Admin > Infusions

Under Infused Infusions find \"Videos\"

Click \"Defuse\".

[b][u]Developer Tips / Debug Problems[/u][/b]

[b]Infusion Not Installing[/b]
One instance of the bug not allowing one to install the infusion is if the infusion was previously installed and not all data was removed after defusing.

The solution would be to remove the table \"NXV\" under the row \"admin_rights\" in \"dbprefix_admin\" in phpmyadmin.

Another simple solution would be to preview the following code in a custom page, take note I said to \"preview\" only.

[code]dbquery(\"DELETE FROM \".DB_ADMIN.\" WHERE admin_rights='NXV'\");[/code]


[b]Video Not Uploading[/b]
Usually when using a free host, file uploads are not allowed to a certain extent - one measure being excessive file size. Regardless, you can usually check the php configuration settings along with a defined max upload size in the Video Admin (Admin Panel > Infusions > Video Admin > Manage Settings).

As of version 3.0.0 I've coded the script to display the max php configuration upload allowed, along with a max script upload defined by the end-user.

The \"Max Allowed by PHP Configuration\" should not exceed that of the \"Max File Size\" as they should remain even if possible.

One common mistake is that the php configuration file is not configured correctly to allow bigger download files to be uploaded. You'll need to find your php.ini file and edit the following:

Do not make file changes unless you know what your doing! Contact your host if your troubled. You can find the php configuration file usually in: \"usr/bin/apache/apache[?]/bin/php.ini\". If not, refer to Admin Panel > System Admin > PHP Info > Details (Locate \"Loaded Configuration File\").

In your PHP.INI file, ensure the following parameters are met.

File Uploads are ON

[code]file_uploads = On[/code]

Upload Max Filesize is larger than, if not the same as Max Upload Size defined in Video Infusion Script.

[code]; Maximum allowed size for uploaded files.
; http://php.net/upload-max-filesize
upload_max_filesize = 100M[/code]

As we're using POST data to upload videos along with images, you'll also need to ensure the post_max_size in your php configuration file is large enough to handle post data.

Search out post_max_size in php.ini.

[code]; Maximum size of POST data that PHP will accept.
; http://php.net/post-max-size
post_max_size = 100M
[/code]

Their is also a maxium time PHP will accept input calculated in seconds. You'll need to ensure you have enough time allowed for upload to process.

[code]; Default Value: -1 (Unlimited)
; Development Value: 60 (60 seconds)
; Production Value: 60 (60 seconds)
; http://php.net/max-input-time
max_input_time = 60
[/code]

If you do not have access to php.ini and your server supports .htaccess then you can insert the following into the .htaccess file.

[code]php_flag file_uploads on
php_value post_max_size \"100M\"
php_value upload_max_filesize \"100M\"
php_value max_input_time \"-1\"[/code]

Change the values to satisfy your needs.

Other than the information provided, lookout for error displays when attempting to check the error log for problems. Report any found problems @ PHPFusionMods.com for further support.


[i][center]Copyright 2013 by NetriX@PHPFusionMods.com. All Rights Reserved.[/center][/i]";
?>
