<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHPFusionMods.com
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES . "templates/header.php";
include INFUSIONS . "video/infusion_db.php";
require_once INCLUDES . "bbcode_include.php";
include "inc.php";

if (isset($_GET['id']) && isnum($_GET['id']))
{

    $image = "";
    $show_custom = FALSE;

    add_to_head('<link rel="stylesheet" type="text/css" href="rating/style.css">
<script type="text/javascript" src="rating/script.js"></script>');

    $admin = dbquery("SELECT * FROM " . DB_VIDEO_SET . " LIMIT 0,1");
    while ($d = dbarray($admin))
    {
        $maxs = $d['maxsize'];
        $width = $d['width'];
        $height = $d['height'];
        $color = $d['color'];
        $skins = $d['skin'];
        $cont = $d['control'];
        $auto = $d['auto'];
        $display = $d['display'];
        $ads = $d['ads'];
        $logo = "images/".$d['logo'];
        $sub_access = $d['sub_access'];
        $sub_enable = $d['sub_enable'];
        $logop = $d['logo_position'];
    }

    $result = dbquery("SELECT v.*, vc.*, u.user_id,u.user_name,u.user_avatar, SUM(tr.rating_vote) AS sum_rating, COUNT(tr.rating_item_id) AS count_votes FROM " . DB_VIDEO .
        " v
INNER JOIN " . DB_VIDEO_CAT . " vc ON v.cat_id=vc.cat_id
LEFT JOIN " . DB_USERS . " u ON v.uid=u.user_id
LEFT JOIN " . DB_RATINGS . " tr ON tr.rating_item_id = v.id AND tr.rating_type='V'
WHERE " . groupaccess('cat_access') . " AND v.id = " . $_GET['id'] .
        " GROUP BY v.id LIMIT 0 , 1");
    if (dbrows($result) != 0)
    {
        while ($data = dbarray($result))
        {
            $types = array(
                "file",
                "source",
                "custom",
                "youtube",
                "url");
            if (!in_array($data['video_type'], $types))
            {
                redirect("index.php") . die();
            }
            $rating = (int)$data['rating'];
            $id = (int)$data['id'];
            $tratings = (int)$data['total_ratings'];
            $description = $data['description'];
            $ar = $data['allow_ratings'];
            $ac = $data['allow_comments'];
            dbquery("UPDATE " . DB_VIDEO . " SET views=views+1 WHERE id='" . $_GET['id'] .
                "'");
            opentable($data['name']);
            add_to_title(" - {$data['name']}");
            if ($data['video_type'] == "youtube" && $data['url']) {
                $img = "http://img.youtube.com/vi/{$data['url']}/default.jpg";
            } elseif (!empty($data['file_image_thumb']) && file_exists(INFUSIONS."video/images/" . $data['file_image_thumb'])) {
                $img = INFUSIONS."video/images/" . $data['file_image_thumb'];
            } else {
                $img = INFUSIONS."video/images/cat_images/cat1.png";
            }
            $sub_cat_id = NULL;
            $sub_cat_name = NULL;
            if ($data['cat_parent'] != 0) {
                $query = dbquery("SELECT cat_name, cat_id, cat_parent FROM ".DB_VIDEO_CAT." WHERE cat_id='".$data['cat_parent']."'");
                if (dbrows($query)) { 
                    while ($datax=dbarray($query)) { 
                        $sub_cat_name = $datax['cat_name'];
                        $sub_cat_id=$datax['cat_id'];
                        }
                    }
            }
            echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='100%'>\n";
                    echo "<tr><td class='tbl2' width='50%' align='left'>";
                    echo "<img src='{$img}' alt='' style='border:0; width: 32px; height: 32px; vertical-align:middle; float: left; margin-right: 5px;' />\n";
                    echo "<span style='font-size: 15px; font-weight: bold;'>{$data['name']}</span><br />";
                    echo "<span style='font-size: 10px; font-weight: bold;'>".($sub_cat_name !="" ? "<a href='index.php?cat_id={$sub_cat_id}'>{$sub_cat_name}</a> &raquo; " : "")."<a href='index.php?cat_id={$data['cat_id']}'>{$data['cat_name']}</a></span>";
                    echo "</td>\n<td class='tbl2' width='50%'>";
                    echo "<div style='text-align:right'><form name='search_video' action='search.php' method='get' enctype='application/x-www-form-urlencoded'>";
                    echo "<input type='text' name='find' style='width:150px'>&ensp;";
                    echo "<input type='submit' class='button' value='{$locale['s_button']}'>";
                    echo "</form></div>";
                    echo "</td>\n</tr>\n</table>";
                    include_once "nav.php";
                    if (checkrights("NXV") || iADMIN)
                    {
                        echo "<table cellpadding='0' cellspacing='1' class='tbl-border' style='text-align:left;width:100%; margin-bottom: 2px;'>";
                        echo "<tr><td class='tbl2' align='right' colspan='4'><img src='" . IMAGES .
                            "edit.png' style='width: 10px; height: 10px; vertical-align:middle;' alt='' /> <strong><a href='avideo.php?action=edit&cat_id={$data['cat_id']}&id=" .
                            $_GET['id'] . "' target='_self'>" . $locale['edit_v_x'] . "</a>";
                        echo " <img src='" . IMAGES .
                            "no.png' style='width: 10px; height: 10px; vertical-align:middle;' alt='' /> <a href='avideo.php?action=delete&amp;id=" .
                            $_GET['id'] . "' onclick=\"return confirm('" . $locale['del_video'] . "');\">" .
                            $locale['del_video'] . "</a></strong></td></tr>";
                        echo "</table>";
                    }
                    echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='100%'>\n";
                    echo "<tr><td class='tbl1' colspan='5' width='100%'>";
            
            if (!empty($data['file']) && $data['video_type'] == "file")
            {
                $ext = strtolower(strrchr($data['file'], "."));
            } elseif (!empty($data['url']) && $data['video_type'] == "url")
            {
                $ext = strtolower(strrchr($data['url'], "."));
            } else
            {
                $ext = "";
            }
            if (empty($ext) || $ext != ".wmv")
            {
                if ($data['custom'] && $data['video_type'] == "custom")
                {
                    $show_custom = TRUE;
                } elseif ($data['url'] || $data['file'] && $data['video_type'] != "custom")
                {
                    if ($data['video_type'] == "file")
                    {
                        $file = "videos/" . $data['file'];
                    } elseif ($data['video_type'] == "youtube")
                    {
                        $file = 'http://www.youtube.com/v/' . $data['url'];
                        if (file_exists("http://img.youtube.com/vi/" . $data['url'] . "/0.jpg")) {
                                $image = "http://img.youtube.com/vi/" . $data['url'] . "/0.jpg";
                            } else {
                                $image = NULL;
                            }
                    } elseif ($data['video_type'] == "source")
                    {
                        $file = $data['url'];
                        $image = "images/{$data['file_image']}";
                    } elseif ($data['video_type'] == "url")
                    {
                        $file = $data['url'];
                        $image = "images/{$data['file_image']}";
                    } else
                    {
                        $file = "";
                        $image = "";
                    }
                    if (!empty($data['file_image']) && file_exists("images/" . $data['file_image']))
                    {
                        $image = "images/" . $data['file_image'];
                    } else {
                        $image = NULL;
                    }
                    if (!$ads)
                    {
                        $ltas = "";
                        $ad = "";
                    } else
                    {
                        $ad = "zguvlzrlitjlkux";
                        $ltas = "ltas, viral-2, hd-1";
                    }
                    
                    if (file_exists($image) && $image != "") {
                        $image2 = $image;
                    } else {
                        $image2 = "images/cat_images/cat1.png";
                    }
                    
                    echo "<script type='text/javascript' src='player/jwplayer.js'></script>

                            <center><div id='mediaspace'>{$locale['v_rep']}</div></center>
                            
                            <script type='text/javascript'>
                            jwplayer('mediaspace').setup({
                            'flashplayer': 'player/player.swf',
                            'file': '{$file}',
                            'image': '{$image}',
                            'controlbar': '{$cont}',
                            'width': '{$width}',
                            'height': '{$height}',
                            'abouttext': 'Video Infusion Pro',
                            'aboutlink': 'http://phpfusionmods.com/',
                            'logo.file': '{$logo}',
                            'logo.position': '{$logop}',
                            'logo.hide': 'false',
                            'backcolor': '{$color}',
                            'skin': 'skins/{$skins}',
                            'stretching': '{$display}',
                            'autostart': '{$auto}',
                            'dock': 'true',
                            'plugins': {
                            'viral-2': {
                            'onpause': 'false',
                            'callout': 'none'
                            },
                            'timeslidertooltipplugin-3': {},
                            'hd-2': {}
                            }
                            });
                            </script>";
                }
            }
            if ($ext == ".wmv")
            {
                if ($data['video_type'] == "file")
                {
                    $file = "videos/" . $data['file'];
                } elseif ($data['video_type'] == "source")
                {
                    $file = $data['url'];
                    $image = "images/{$data['file_image']}";
                } elseif ($data['video_type'] == "url")
                {
                    $file = $data['url'];
                    $image = "images/{$data['file_image']}";
                } else
                {
                    $file = "";
                }
                if (!empty($data['file_image']) && file_exists("images/" . $data['file_image']))
                {
                    $image = "images/" . $data['file_image'];
                }
                if (!$ads)
                {
                    $ad = "";
                } else
                {
                    $ad = "zguvlzrlitjlkux";
                }
                echo "<center><div name='netrix_video' id='netrix_video'></div></center>
                        <script type='text/javascript' src='player/silverlight.js'></script>
                        <script type='text/javascript' src='player/wmvplayer.js'></script>
                        <script type='text/javascript'>
                        var cnt = document.getElementById('netrix_video');
                        var src = 'player/wmvplayer.xaml';
                        var cfg = {
                        file:'{$file}',
                        image:'{$image}',
                        height:'{$height}',
                        width:'{$width}',
                        logo:'{$logo}',
                        backcolor:'{$color}',
                        controlbar:'{$cont}',
                        stretching:'{$display}',
                        autostart:'{$auto}'
                        };
                        var ply = new jeroenwijering.Player(cnt,src,cfg);
                        </script>";
            }
            if ($show_custom = TRUE || $data['custom'] != NULL) {
                        echo "<div style='margin-top: 3px;'>" . stripslashes($data['custom']) .
                        "</div>";
                    }
            echo "</td></tr>\n";
            echo "<tr>\n";
            echo "<td class='forum-caption' rowspan='2' valign='top' style='text-align: center;' width='1%'>";
            if (file_exists(IMAGES."avatars/".$data['user_avatar']) && $data['user_avatar'] != NULL) {
                echo "<img src='".IMAGES."avatars/".$data['user_avatar']."' alt='' style='width: 35px; height: 35px; vertical-align:middle;' />";
            } else {
                echo "<img src='".IMAGES."avatars/noavatar100.png' alt='' style='width: 35px; height: 35px; vertical-align:middle;' />";
            }
            echo "</td>";
            echo "<td class='forum-caption'>{$locale['v_author_info']}</td>\n";
            echo "<td class='forum-caption'>{$locale['v_time_info']}</td>\n";
            echo "<td class='forum-caption'>{$locale['v_views_info']}</td>\n";
            echo "<td class='forum-caption'>{$locale['v_rating_info']}</td>\n";
            echo "</tr><tr><td width='' class='tbl2' valign='top' style='text-align: left;'>";
            
            echo "<strong><a href='../../profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a></strong>";
            echo "</td>\n";
            echo "<td class='tbl2' valign='top'>".showdate("shortdate",$data['time'])."</td>\n";
            echo "<td class='tbl2' valign='top'>".number_format($data['views'])."</td>\n";
            echo "<td class='tbl2' valign='top'>";
            echo ($data['allow_ratings'] ? "" . ($data['count_votes'] > 0 ? str_repeat("<img src='" .
                get_image("star") . "' alt='*' style='vertical-align:middle; width: 13px; height: 13px;' />",
                ceil($data['sum_rating'] / $data['count_votes'])) : "" . $locale['n_y_r'] .
                "") : "" . $locale['n_y_r'] . "");
            echo "</td>\n</tr>";
            echo "<tr><td width='100%' valign='top' colspan='5' class='forum-caption'>{$locale['v_desc_info']}</td></tr>\n";
            echo "<tr><td width='100%' valign='top' colspan='5'class='tbl2'>";
            if (!empty($description)) {
            echo nl2br(parseubb(parsesmileys($description),
                    "b|i|u|small|url|mail|img|color"));
            } else {
                echo $locale['no_description_p'];
            }
            echo "</td></tr></table>";
            // DEV STUFF
            if (isset($_GET['show_dev'])) {
                if ($data) {
                    echo "<pre><code>";
                    print_r($data);
                    echo "</code></pre>";
                }
            }
            // END DEV
        }
    } else
    {
        redirect("index.php") . die($locale['v_no']);
    }
    footer();
    closetable();
    require_once INCLUDES . "ratings_include.php";
    if ($ar == 1)
    {
        showratings("V", $_GET['id'], "video.php?id=" . $_GET['id']);
    }
    require_once INCLUDES . "comments_include.php";
    if ($ac == 1)
    {
        showcomments("NX", DB_VIDEO, "id", $_GET['id'], FUSION_SELF . "?id=" . $_GET['id']);
    }
} else
{
    redirect("index.php") . die();
}
require_once THEMES . "templates/footer.php";

?>
