<?php	
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHPFusionMods.com
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."video/locale/".$settings['locale'].".php")) {
	include INFUSIONS."video/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."video/locale/English.php";
}

include INFUSIONS . "video/infusion_db.php";

openside($locale['latest-videos']);
echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n";
$result = dbquery("
	SELECT v.*, vc.* FROM " . DB_VIDEO . " v
	LEFT JOIN " . DB_VIDEO_CAT . " vc ON v.cat_id=vc.cat_id
	WHERE ".groupaccess('cat_access')." ORDER BY id DESC LIMIT 0,5
	");
if (dbrows($result)) {
	while($data = dbarray($result)) {
		echo "<tr>\n";
		echo "<td width='100%' class='tbl2' valign='top'>\n";
		echo "<a href='".INFUSIONS."video/video.php?id=".$data['id']."'><strong>".$data['name']."</strong></a>\n";
		if ($data['description'] != "") { echo "<br />\n<span class='small'>".nl2br(parseubb(parsesmileys($data['description']),"b|i|u|small|url|mail|img|color"))."</span>\n"; }
		echo "<br />\n<span class='small'>{$locale['v_tv']} ".number_format($data['views'])."</small>\n";
		echo "</td>\n</tr>\n";
	}
}
echo "</table>";
closeside();
?>