<?php

/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHPFusionMods.com
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES . "templates/admin_header.php";

if (!checkrights("NXV") || !$_GET['aid'] || !defined("iAUTH") || $_GET['aid'] !=
    iAUTH || !iADMIN)
{
    redirect("index.php") . die("Access Denied");
}

include INFUSIONS . "video/infusion_db.php";
require_once INCLUDES . "bbcode_include.php";
include "inc.php";

dbquery("UPDATE " . DB_ADMIN .
    " SET admin_link = '../infusions/video/admin.php' WHERE admin_rights = 'NXV'");

$success = false;
$file_image = "";

$admin = dbquery("SELECT * FROM " . DB_VIDEO_SET . " LIMIT 0,1");
while ($d = dbarray($admin))
{
    $maxs = $d['maxsize'];
    $width = $d['width'];
    $height = $d['height'];
    $color = "#000000";
    $skins = $d['skin'];
    $cont = $d['control'];
    $auto = $d['auto'];
    $display = $d['display'];
    $columns = $d['columns'];
    $ads = $d['ads'];
    $file_image = $d['logo'];
    $sub_access = $d['sub_access'];
    $sub_enable = $d['sub_enable'];
    $t_width = $d['t_width'];
    $t_height = $d['t_height'];
    $maxi = $d['items'];
    $video_type = $d['video_type'];
    $logop = $d['logo_position'];
}

if (isset($_POST['update']))
{
    if (isset($_POST['del_image']))
    {
        $file_image = (isset($_POST['file_image']) ? $_POST['file_image'] : "");
        if (file_exists("images/" . $file_image))
        {
            @unlink("images/" . $file_image);

        }
        $file_image = "";
        $file_image_thumb = "";
    } elseif (!empty($_FILES['file_image']['name']) && is_uploaded_file($_FILES['file_image']['tmp_name']))
    {
        require_once INCLUDES . "infusions_include.php";
        $image = "file_image";
        $namef = $_FILES['file_image']['name'];
        $folder = "images/";
        $sizep = "2000000";

        $upload = upload_image($image, $namef, $folder, "3000", "3000", $sizep, false, true, false,
            1, $folder);

        if ($upload['error'] != 0)
        {
            switch ($upload['error'])
            {
                case 1:
                    $error = 9;
                    break;
                case 2:
                    $error = 10;
                    break;
                case 3:
                    $error = 11;
                    break;
                case 4:
                    $error = 12;
                    break;
                case 5:
                    $error = 13;
                    break;
            }
            $file_image = (isset($_POST['file_image']) ? $_POST['file_image'] : "");
        } else
        {
            $file_image = $upload['image_name'];
        }

    } elseif (isset($_POST['file_image']) && $_POST['file_image'] != "")
    {
        $file_image = $_POST['file_image'];
    }
    $maxs = preg_replace('/[^0-9 ]/i', '', $_POST['maxs']);
    $width = preg_replace('/[^0-9 ]/i', '', $_POST['width']);
    $height = preg_replace('/[^0-9 ]/i', '', $_POST['height']);
    $t_height = preg_replace('/[^0-9 ]/i', '', $_POST['t_height']);
    $t_width = preg_replace('/[^0-9 ]/i', '', $_POST['t_width']);
    $color = "#000000";
    $skins = preg_replace('/[^0-9A-Z. ]/i', '', $_POST['skin']);
    $cont = preg_replace('/[^A-Z ]/i', '', $_POST['controlbar']);
    $auto = preg_replace('/[^A-Z ]/i', '', $_POST['autostart']);
    $disp = preg_replace('/[^A-Z ]/i', '', $_POST['display']);
    $columns = preg_replace('/[^0-9 ]/i', '', $_POST['columns']);
    $ads = preg_replace('/[^0-9 ]/i', '', $_POST['ads']);
    $maxi = preg_replace('/[^0-9 ]/i', '', $_POST['maxi']);
    $logop = preg_replace('/[^A-Z-]/i', '', $_POST['logo_position']);
    $sub_access = (int)$_POST['sub_access'];
    $sub_enable = (int)$_POST['sub_enable'];
    $video_type = stripinput($_POST['video_type']);
    $update = dbquery("UPDATE " . DB_VIDEO_SET . " SET maxsize='$maxs', width='$width', height='$height', color='$color', skin='$skins', control='$cont', auto='$auto', display='$disp', columns='$columns', ads='$ads', logo='$file_image', sub_access='$sub_access', sub_enable='$sub_enable', items='$maxi', t_height='$t_height', t_width='$t_width', video_type='$video_type', logo_position='$logop' WHERE netrix='netrix'");
    $success = true;
}

opentable($locale['va_settings']);
echo $netrixNav;
if ($success)
{
    echo "<div id='close-message' style='width: 550px; margin: 0 auto;'><div class='admin-message'>{$locale['a_update']}</div></div>\n";
}
echo "<form name='form_settings' id='form_settings' method='post' action='" .
    FUSION_SELF . $aidlink . "' enctype='multipart/form-data'>\n";
echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='550'>\n";
echo "<tr><td class='forum-caption' colspan='2'>";
echo "<div style='float:right'><a href='http://www.phpfusionmods.com/' title='' target='_blank' />v{$version} - {$locale['c_updates']}</a></div>{$locale['a_global']}</td>\n";
echo "</tr>\n<tr>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl'>{$locale['v_max']}</td>\n";
echo "<td class='tbl'><input type='text' class='textbox' name='maxs' style='width:250px' value='{$maxs}' /><br />";
echo "{$locale['b_only']} ({$maxs} bytes = " . parsebytesize($maxs) . ")<br />\n";
echo (ini_get('file_uploads') ? $locale['u_allowed'] . " (" . ini_get('upload_max_filesize') .
    "B)" : $locale['u_not_allowed']) . "<br />\n";
echo "{$locale['ini_1']} " . ini_get('post_max_size') . "<br />\n";
echo "{$locale['ini_2']} " . ini_get('max_input_time') . "</td>";
echo "</tr>\n<tr>\n";
echo "<td class='tbl'>{$locale['a_columns']}</td>\n";
echo "<td class='tbl'>\n";
echo "<select name='columns' class='textbox' style='width:250px' >\n";
echo "<option value='1'" . ($columns == 1 ? " selected='selected'" : "") .
    ">1</option>\n";
echo "<option value='2'" . ($columns == 2 ? " selected='selected'" : "") . ">2 ({$locale['a_default']})</option>\n";
echo "<option value='3'" . ($columns == 3 ? " selected='selected'" : "") .
    ">3</option>\n";
echo "<option value='4'" . ($columns == 4 ? " selected='selected'" : "") .
    ">4</option>\n";
echo "<option value='5'" . ($columns == 5 ? " selected='selected'" : "") .
    ">5</option>\n";
echo "<option value='6'" . ($columns == 6 ? " selected='selected'" : "") .
    ">6</option>\n";
echo "</select>";
echo "</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl'>{$locale['v_items_p_page']}</td>\n";
echo "<td class='tbl'><input type='text' class='textbox' name='maxi' style='width:250px' value='{$maxi}' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl'>{$locale['v_thumb_d']}</td>\n";
echo "<td class='tbl'>";
echo "<table cellspacing='0' cellpadding='1'><tr>";
echo "<td width='50%'><input type='text' class='textbox' name='t_width' style='width:117px' value='{$t_width}' /> x </td>";
echo "<td width='50%'><input type='text' class='textbox' name='t_height' style='width:117px' value='{$t_height}' /></td>";
echo "</tr><tr><td width='50%'>{$locale['v_thumb_w']}</td><td width='50%'>{$locale['v_thumb_h']}</td></tr></table></td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='forum-caption' colspan='2'>{$locale['p_set']}</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl'>{$locale['a_dim']}</td>\n";
echo "<td class='tbl'>";
echo "<table cellspacing='0' cellpadding='1'><tr>";
echo "<td width='50%'><input type='text' class='textbox' name='width' style='width:117px' value='{$width}' /> x </td>";
echo "<td width='50%'><input type='text' class='textbox' name='height' style='width:117px' value='{$height}' /></td>";
echo "</tr><tr><td width='50%'>{$locale['a_width']}</td><td width='50%'>{$locale['a_height']}</td></tr></table></td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl'>{$locale['a_skin']}</td>\n";
echo "<td class='tbl'>";
$handle = opendir('skins/');
while (false !== ($file = readdir($handle)))
{
    if ($file != '.' && $file != '..' && $file != 'index.php')
    {
        $files[] = $file;
    }
}
closedir($handle);
$files = preg_replace("/.zip/", "", $files);
$skins = preg_replace("/.zip/", "", $skins);
echo "<select name='skin' class='textbox' style='width:250px' >\n";
echo "<option value=''>None</option>\n";
foreach ($files as $nameVal)
{
    echo "<option value='{$nameVal}.zip' " . ($nameVal == $skins ?
        "selected='selected'" : "") . ">{$nameVal}</option>\n";
}
echo "</select>\n";
echo "</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl'>{$locale['a_cont']}</td>\n";
echo "<td class='tbl'>";
echo "<select name='controlbar' class='textbox' style='width:250px' >\n";
echo "<option value='bottom' " . ($cont == "bottom" ? "selected='selected'" : "") .
    ">Pod filmem ({$locale['a_default']})</option>\n";
echo "<option value='top'" . ($cont == "top" ? " selected='selected'" : "") .
    ">Nad filmem</option>\n";
echo "<option value='over'" . ($cont == "over" ? " selected='selected'" : "") .
    ">Chowany</option>\n";
echo "<option value='none'" . ($cont == "none" ? " selected='selected'" : "") .
    ">Brak</option>\n";
echo "</select>";
echo "</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl'>{$locale['a_auto']}</td>\n";
echo "<td class='tbl'>";
echo "<select name='autostart' class='textbox' style='width:250px' >\n";
echo "<option value='false'" . ($auto == "false" ? "selected='selected'" : "") .
    ">Manualnie ({$locale['a_default']})</option>\n";
echo "<option value='true'" . ($auto == "true" ? "selected='selected'" : "") .
    ">Automatycznie</option>\n";
echo "</select>";
echo "</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl'>{$locale['a_disp']}</td>\n";
echo "<td class='tbl'>";
echo "<select name='display' class='textbox' style='width:250px' >\n";
echo "<option value='uniform'" . ($display == "uniform" ? "selected='selected'" :
    "") . ">Uniform</option>\n";
echo "<option value='exactfit'" . ($display == "exactfit" ?
    "selected='selected'" : "") . ">Exact Fit ({$locale['a_default']})</option>\n";
echo "<option value='fill'" . ($display == "fill" ? "selected='selected'" : "") .
    ">Fill</option>\n";
echo "<option value='none'" . ($display == "none" ? "selected='selected'" : "") .
    ">Brak</option>\n";
echo "</select>";
echo "</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl' valign='top'>{$locale['a_ads']}</td>\n";
echo "<td class='tbl'>";
echo "<input type='radio' name='ads' value='1'" . ($ads == "1" ?
    " checked='checked'" : "") . " />{$locale['yes']} ({$locale['a_default']})\n";
echo "<input type='radio' name='ads' value='0'" . ($ads == "0" ?
    " checked='checked'" : "") . " />{$locale['no']}\n";
echo "<hr />";
echo $locale['support_ads'];
echo "</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl'>{$locale['def_vid_type']}</td>\n";
echo "<td class='tbl'>";
echo "<input type='radio' name='video_type' value='file'" . ($video_type ==
    "file" ? " checked='checked'" : "") . " />{$locale['type_file']}\n";
echo "<input type='radio' name='video_type' value='url'" . ($video_type == "url" ?
    " checked='checked'" : "") . " />{$locale['type_url']}\n";
echo "<input type='radio' name='video_type' value='youtube'" . ($video_type ==
    "youtube" ? " checked='checked'" : "") . " />{$locale['type_youtube']}\n";
echo "<input type='radio' name='video_type' value='custom'" . ($video_type ==
    "custom" ? " checked='checked'" : "") . " />{$locale['type_custom']}\n";
echo "</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl'>{$locale['s_logo']}</td>\n";
echo "<td class='tbl'>";
if (!empty($file_image))
{
    echo "<input type='hidden' name='file_image' value='" . $file_image . "' />";
    if (file_exists("images/" . $file_image))
    {
        echo "<br /><img src='images/$file_image' title='' />";
    }
    echo "<br /><label><input type='checkbox' name='del_image' value='1' /> {$locale['del_image']}</label>\n";
} else
{
    echo "<input type='file' name='file_image' class='textbox' style='width:150px;' /><br />\n";
}
echo "<hr />{$locale['i_water_d']}</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl'>{$locale['logo_position_lo']}</td>\n";
echo "<td class='tbl'>";
echo "<select name='logo_position' class='textbox' style='width:250px' >\n";
echo "<option value='bottom-left' " . ($logop == "bottom-left" ?
    "selected='selected'" : "") . ">Lewo pod filmem ({$locale['a_default']})</option>\n";
echo "<option value='bottom-right'" . ($logop == "bottom-right" ?
    " selected='selected'" : "") . ">Prawo pod filmem</option>\n";
echo "<option value='top-left'" . ($logop == "top-left" ? " selected='selected'" :
    "") . ">Lewo nad filmem</option>\n";
echo "<option value='top-right'" . ($logop == "top-right" ?
    " selected='selected'" : "") . ">Prawo nad filmem</option>\n";
echo "</select>";
echo "</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='forum-caption' colspan='2'>{$locale['v_rights']}</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl'>{$locale['v_rights_allow']}</td>\n";
echo "<td class='tbl'>";
echo "<input type='radio' name='sub_enable' value='1'" . ($sub_enable == 1 ?
    " checked='checked'" : "") . " />{$locale['yes']}\n";
echo "<input type='radio' name='sub_enable' value='0'" . ($sub_enable == 0 ?
    " checked='checked'" : "") . " />{$locale['no']}\n";
echo "</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl'>{$locale['v_rights_enable']}</td>\n";
echo "<td class='tbl'>";
$user_groups = getusergroups();
$access_opts = "";
$sel = "";
while (list($key, $user_group) = each($user_groups))
{
    $sel = ($sub_access == $user_group['0'] ? " selected='selected'" : "");
    $access_opts .= ($user_group['0'] == 0 ? "" : "<option value='" . $user_group['0'] .
        "'$sel>" . $user_group['1'] . "</option>\n");
}
echo "<select name='sub_access' class='textbox' style='width:150px;'>\n" . $access_opts .
    "</select>";
echo "</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='forum-caption' colspan='2'>{$locale['v_preview']}</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl' colspan='2'>";
echo "<script type='text/javascript' src='player/swfobject.js'></script>\n";
echo "<div style='text-align:center'>\n";
echo "<div id='netrix_video'>{$locale['v_rep']}</div>";
echo "<script type='text/javascript'>
var so = new SWFObject('player/player.swf','ply','540','350','9','{$color}');
so.addParam('allowfullscreen','true');
so.addParam('allowscriptaccess','always');
so.addParam('wmode','opaque');
so.addVariable('file','http://www.youtube.com/v/I5NUkb-0lRo');
so.addVariable('logo.file', 'images/$file_image');
so.addVariable('logo.hide', 'false');
so.addVariable('logo.position', '$logop');
so.addVariable('skin','skins/{$skins}.zip');
so.addVariable('controlbar','{$cont}');
so.addVariable('stretching','{$display}');
so.addVariable('autostart', '{$auto}');
so.addVariable('plugins', 'hd-1');
so.addVariable('hd.state', 'true');
so.addVariable('linktarget', 'http://www.phpfusionmods.com');
so.write('netrix_video');";
echo "</script>\n</div>";
echo "</td>\n";
echo "</tr>\n<tr>\n";
echo "<td colspan='2' class='forum-caption' align='center'>\n";
echo "<input type='submit' name='update' value='{$locale['a_save']}' class='button' />\n";
echo "</td>\n</tr>\n</table>\n";
echo "</form>\n";
closetable();

require_once THEMES . "templates/footer.php";

?>
