<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHPFusionMods.com
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

//if (!checkrights("NXV") || !$_GET['aid'] || !defined("iAUTH") || $_GET['aid'] !=
//iAUTH || !iADMIN) {
//redirect("index.php") . die("Access Denied");
//}

require_once THEMES . "templates/header.php";
$netrixNav = "";
require_once "inc.php";

$admin = dbquery("SELECT * FROM " . DB_VIDEO_SET . " LIMIT 0,1");
while ($d = dbarray($admin))
{
    $t_width = $d['t_width'];
    $t_height = $d['t_height'];
    $vmaxsize = $d['maxsize'];
    $maxi = $d['items'];
    $maxs = $d['maxsize'];
    $vtype = $d['video_type'];
    $sub_access = $d['sub_access'];
    $sub_enable = $d['sub_enable'];
}

if (checkgroup($sub_access) && $sub_enable == 1 || iADMIN && checkrights("NXV"))
{

    if (iGUEST)
    {
        redirect("index.php");
    }

    if (isset($_GET['action']) && $_GET['action'] == "edit")
    {
        (iADMIN && checkrights("NXV") ? "" : redirect("index.php"));
    }

    if (isset($_GET['action']) && $_GET['action'] == "delete")
    {
        (iADMIN && checkrights("NXV") ? "" : redirect("index.php"));
    }

    $cat_id = "";
    $uid = "";
    $time = "";
    $name = "";
    $description = "";
    $video_type = "";
    $file = "";
    $file_image = "";
    $file_image_thumb = "";
    $url = "";
    $custom = "";
    $views = "";
    $message = "";
    $formaction = FUSION_SELF;
    $allow_comments = " checked='checked'";
    $allow_ratings = " checked='checked'";
    $svalue = $locale['save_video'];

    $result = dbcount("(cat_id)", DB_PREFIX . "video_cat");
    if (!empty($result))
    {
        $file = "";
        $file_image = "";
        $url = "";
        $file_image_thumb = "";
        if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['id']) &&
            isnum($_GET['id'])) && iADMIN && checkrights("NXV"))
        {
            $result = dbquery("SELECT * FROM " . DB_PREFIX . "video WHERE id='" . $_GET['id'] .
                "'");
            if (dbrows($result))
            {
                $data = dbarray($result);
                if (!empty($data['file']) && file_exists("videos/" . $data['file']))
                {
                    @unlink("videos/" . $data['file']);
                }
                if (!empty($data['file_image']) && file_exists("images/" . $data['file_image']))
                {
                    @unlink("images/" . $data['file_image']);
                }
                if (!empty($data['file_image_thumb']) && file_exists("images/" . $data['file_image_thumb']))
                {
                    @unlink("images/" . $data['file_image_thumb']);
                }
                $result = dbquery("DELETE FROM " . DB_PREFIX . "video WHERE id='" . $_GET['id'] .
                    "'");
            }
            $message = $locale['v_sdel'];
        } elseif (isset($_POST['save_video']))
        {
            $error = 0;
            $name = stripinput($_POST['name']);
            $cat_id = stripinput($_POST['cat_id']);
            $video_type = stripinput($_POST['video_type']);
            $custom = addslash($_POST['custom']);
            $description = stripinput($_POST['description']);
            $allow_comments_post = stripinput($_POST['allow_comments_post']);
            $allow_ratings_post = stripinput($_POST['allow_ratings_post']);

            // UPLOAD VIDEO FILE
            if (isset($_POST['del_video']) && isset($_GET['id']) && isnum($_GET['id']))
            {
                $result = dbquery("SELECT * FROM " . DB_PREFIX . "video WHERE id='" . $_GET['id'] .
                    "'");
                if (dbrows($result))
                {
                    $data = dbarray($result);
                    if (!empty($data['file']) && file_exists("videos/" . $data['file']))
                    {
                        @unlink("videos/" . $data['file']);
                    }
                }
                $file = "";
            } elseif (!empty($_FILES['file_video']['name']) && is_uploaded_file($_FILES['file_video']['tmp_name']))
            {
                require_once INCLUDES . "infusions_include.php";
                $url = "";
                $source_file = "file_video";
                $target_file = $_FILES['file_video']['name'];
                $target_folder = "videos/";
                $allowed_ext = ".flv,.mp4,.mov,.f4v,.3gp,.3g2,.wmv";
                $max_size = $maxs;
                $upload = upload_file($source_file, $target_file, $target_folder, $allowed_ext,
                    $max_size);
                if ($upload['error'] == 1)
                {
                    $error = 2;
                } elseif ($upload['error'] == 2)
                {
                    $error = 3;
                } elseif ($upload['error'] == 3)
                {
                    $error = 7;
                } elseif ($upload['error'] == 4)
                {
                    $error = 8;
                } else
                {
                    $file = $upload['target_file'];
                }
            } elseif (isset($_POST['file_video']) && $_POST['file_video'] != "")
            {
                $file = $_POST['file_video'];
                $url = "";
                $custom = (isset($_POST['custom']) ? addslash($_POST['custom']) : "");
            } elseif ((isset($_POST['url']) && $_POST['url'] != ""))
            {
                $file = "";
                $url = (isset($_POST['url']) ? stripinput($_POST['url']) : "");
                $custom = (isset($_POST['custom']) ? addslash($_POST['custom']) : "");
            } elseif ((isset($_POST['custom']) && $_POST['custom'] != ""))
            {
                $file = "";
                $url = "";
                $custom = (isset($_POST['custom']) ? addslash($_POST['custom']) : "");
            } else
            {
                $error = 4;
            }
            // END VIDEO UPLOAD ---- IMAGE UPLOAD \\

            if (isset($_POST['del_image']) && isset($_GET['id']) && isnum($_GET['id']))
            {
                $result = dbquery("SELECT * FROM " . DB_PREFIX . "video WHERE id='" . $_GET['id'] .
                    "'");
                if (dbrows($result))
                {
                    $data = dbarray($result);
                    if (!empty($data['file_image']) && file_exists("images/" . $data['file_image']))
                    {
                        @unlink("images/" . $data['file_image']);
                    }
                    if (!empty($data['file_image_thumb']) && file_exists("images/" . $data['file_image_thumb']))
                    {
                        @unlink("images/" . $data['file_image_thumb']);
                    }
                }
                $file_image = "";
                $file_image_thumb = "";
            } elseif (!empty($_FILES['file_image']['name']) && is_uploaded_file($_FILES['file_image']['tmp_name']))
            {
                require_once INCLUDES . "infusions_include.php";
                $image = "file_image";
                $namef = $_FILES['file_image']['name'];
                $folder = "images/";
                $width = "3000";
                $height = "3000";
                $size = $maxs;

                $upload = upload_image($image, $namef, $folder, $width, $height, $size, false, true, false,
                    1, $folder, "_thumb", $t_width, $t_height);
                if ($upload['error'] != 0)
                {
                    switch ($upload['error'])
                    {
                        case 1:
                            $error = 9;
                            break;
                        case 2:
                            $error = 10;
                            break;
                        case 3:
                            $error = 11;
                            break;
                        case 4:
                            $error = 12;
                            break;
                        case 5:
                            $error = 13;
                            break;
                    }
                    $file_image = (isset($_POST['file_image']) ? $_POST['file_image'] : "");
                    $file_image_thumb = (isset($_POST['file_image_thumb']) ? $_POST['file_image_thumb'] :
                        "");
                    if (isset($_POST['file']) && $_POST['file'] != "")
                    {
                        $file = $_POST['file'];
                        $url = (isset($_POST['url']) ? stripinput($_POST['url']) : "");
                    } elseif ((isset($_POST['url']) && $_POST['url'] != ""))
                    {
                        $url = (isset($_POST['url']) ? stripinput($_POST['url']) : "");
                        $file = "";
                    } else
                    {
                        @unlink("videos/" . $file);
                        $file = "";
                    }
                } else
                {
                    $file_image = $upload['image_name'];
                    $file_image_thumb = $upload['thumb1_name'];
                }

            } elseif (isset($_POST['file_image']) && $_POST['file_image'] != "")
            {
                $file_image = $_POST['file_image'];
                $file_image_thumb = $_POST['file_image_thumb'];
            }

            // END IMAGE UPLOAD
            if ($name && $error == 0)
            {
                if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['id']) &&
                    isnum($_GET['id'])) && iADMIN && checkrights("NXV"))
                {
                    $result = dbquery("UPDATE " . DB_PREFIX . "video SET
                        name='" . $name . "',
                        cat_id='" . $cat_id . "',
                        video_type='" . $video_type . "',
                        custom='" . $custom . "',
                        description='" . $description . "',
                        url='" . $url . "',
                        file='" . $file . "',
                        file_image='" . $file_image . "',
                        file_image_thumb='" . $file_image_thumb . "',
                        allow_comments = '" . $allow_comments_post . "',
                        allow_ratings = '" . $allow_ratings_post . "'
                        WHERE id='" . $_GET['id'] . "'");
                    redirect(FUSION_SELF . "?status=su");
                } else
                {
                    $result = dbquery("INSERT INTO " . DB_PREFIX . "video SET
                        cat_id = '" . $cat_id . "',
                        uid = '" . $userdata['user_id'] . "',
                        time = '" . time() . "',
                        name = '" . $name . "',
                        description = '" . $description . "',
                        video_type = '" . $video_type . "',
                        file = '" . $file . "',
                        file_image = '" . $file_image . "',
                        file_image_thumb='" . $file_image_thumb . "',
                        url = '" . $url . "',
                        custom = '" . $custom . "',
                        views = '0',
                        total_rating = '0',
                        rating = '0',
                        total_ratings = '0',
                        allow_comments = '" . $allow_comments_post . "',
                        allow_ratings = '" . $allow_ratings_post . "'");
                    redirect(FUSION_SELF . "?status=sn");
                }
            } else
            {
                switch ($error)
                {
                    case 0:
                        $message .= "<span>{$locale['err_0']}</span>";
                        break;
                    case 1:
                        $message .= "<span>{$locale['err_1']}</span>";
                        break;
                    case 2:
                        $message .= sprintf("<span>{$locale['err_2']}", parsebytesize($vmaxsize)) .
                            "</span>";
                        break;
                    case 3:
                        $message .= sprintf("<span>{$locale['err_3']}", str_replace(',', ' ',
                            '.flv .mp4 .mov .f4v .3gp .3g2 .wmv')) . "</span>";
                        break;
                    case 4:
                        $message .= "<span>{$locale['err_4']}</span>";
                        break;
                    case 5:
                        $message .= "<span>{$locale['err_5']}</span>";
                        break;
                    case 7:
                        $message .= "<span>{$locale['err_7']}</span>";
                        break;
                    case 8:
                        $message .= "<span>{$locale['err_8']}</span>";
                        break;
                    case 9:
                        $message .= sprintf("<span>{$locale['err_9']}</span>", parsebytesize($maxs)) .
                            "</span>";
                        break;
                    case 10:
                        $message .= sprintf("<span>{$locale['err_10']}</span>", ".gif .jpg .png") .
                            "</span>";
                        break;
                    case 11:
                        $message .= sprintf("<span>{$locale['err_11']}</span>", "1024 x 768") .
                            "</span>";
                        break;
                    case 12:
                        $message .= "<span>{$locale['err_12']}</span>";
                        break;
                    case 13:
                        $message .= "<span>{$locale['err_13']}</span>";
                        break;
                }
            }
        }
        // EDIT VIDEO
        if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['id']) &&
            isnum($_GET['id'])) && iADMIN && checkrights("NXV"))
        {
            $result = dbquery("SELECT * FROM " . DB_PREFIX . "video WHERE id='" . $_GET['id'] .
                "'");
            if (dbrows($result))
            {
                $data = dbarray($result);
                $cat_id = $data['cat_id'];
                $uid = $data['uid'];
                $time = $data['time'];
                $name = $data['name'];
                $description = $data['description'];
                $video_type = $data['video_type'];
                $file = $data['file'];
                $file_image = $data['file_image'];
                $file_image_thumb = $data['file_image_thumb'];
                $url = $data['url'];
                $custom = stripslashes($data['custom']);
                $views = $data['views'];
                $formaction = FUSION_SELF . "?action=edit&amp;id=" . $_GET['id'];
                $svalue = $locale['save_video_e'];
                $allow_comments = ($data['allow_comments'] == "1" ? " checked='checked'" : "");
                $allow_ratings = ($data['allow_ratings'] == "1" ? " checked='checked'" : "");
                opentable($locale['edit']);
                echo $netrixNav;
            } else
            {
                redirect(FUSION_SELF);
            }
        } else
        {
            opentable($locale['add_video']);
            echo $netrixNav;
        }

        if (isset($_GET['status']) || !isset($message))
        {
            if ($_GET['status'] == "sn")
            {
                $message .= $locale['video_success'];
            } elseif ($_GET['status'] == "su")
            {
                $message .= $locale['video_update'];
            } elseif ($_GET['status'] == "del")
            {
                $message .= $locale['video_deleted'];
            }
        }
        if ($message != "")
        {
            echo "<div id='close-message'><div class='admin-message'>" . $message .
                "</div></div>\n";
        }

        $editlist = "";
        $sel = "";
        $result2 = dbquery("SELECT cat_id, cat_name FROM " . DB_PREFIX .
            "video_cat WHERE " . groupaccess('cat_access') .
            " AND cat_parent = '0' ORDER BY cat_name");
        if (dbrows($result2) != 0)
        {
            while ($data2 = dbarray($result2))
            {
                $result3 = dbquery("SELECT cat_id, cat_name, cat_parent FROM " . DB_PREFIX .
                    "video_cat WHERE " . groupaccess('cat_access') . " AND cat_parent='" . $data2['cat_id'] .
                    "' ORDER BY cat_name");
                if (isset($_GET['action']) && $_GET['action'] == "edit")
                {
                    $sel = ($data['cat_id'] == $data2['cat_id'] ? " selected='selected'" : "");
                }
                $editlist .= "<option value='" . $data2['cat_id'] . "'$sel>" . $data2['cat_name'] .
                    "</option>\n";
                if (dbrows($result3) != 0)
                {
                    while ($data3 = dbarray($result3))
                    {
                        if (isset($_GET['action']) && $_GET['action'] == "edit")
                        {
                            $sel = ($data['cat_id'] == $data3['cat_id'] ? " selected='selected'" : "");
                        }
                        $editlist .= "<option value='" . $data3['cat_id'] . "'$sel> - " . $data3['cat_name'] .
                            "</option>\n";
                    }
                }
            }
        }
        require_once INCLUDES . "bbcode_include.php";
        echo "<form id='inputform' name='inputform' method='post' action='" . $formaction .
            "' enctype='multipart/form-data'>\n";
        echo "<table cellpadding='0' cellspacing='0' class='center' style='width:500px;'>\n<tr>\n";
        echo "<td class='tbl1' style='width:90px;'>{$locale['video_title']}</td>\n";
        echo "<td class='tbl1'><input type='text' name='name' value='" . $name .
            "' class='textbox' style='width:380px;' /></td>\n";
        echo "</tr>\n";
        echo "<tr>\n<td class='tbl1' style='width:90px; vertical-align:top;'>{$locale['video_description']}</td>\n";
        echo "<td class='tbl1'><textarea name='description' cols='60' rows='5' class='textbox' style='width:380px;'>" .
            $description . "</textarea></td>\n";
        echo "</tr>\n";
        echo "<tr>\n<td class='tbl1'></td><td class='tbl1'>\n";
        echo display_bbcodes("100%", "description", "inputform") . "</td>\n";
        echo "</tr>\n";
        echo "<tr>\n<td class='tbl1' style='width:90px; vertical-align:top;'>{$locale['video_custom']}</td>\n";
        echo "<td class='tbl1'><textarea name='custom' cols='60' rows='5' class='textbox' style='width:380px;'>" .
            $custom . "</textarea></td>\n";
        echo "</tr>\n";
        echo "<tr>\n<td class='tbl1' style='width:90px;'>{$locale['video_url']}</td>\n";
        echo "<td class='tbl1'><input type='text' name='url' value='" . $url .
            "' class='textbox' style='width:380px;' /><br />\n";
        echo $locale['v_exp'];
        echo "</td>\n</tr>\n";
        echo "<td class='tbl1' style='width:90px;'>{$locale['video_type']}</td>\n";
        echo "<td class='tbl1'>\n";
        if (empty($video_type))
        {
            $video_type = $vtype;
        }
        echo "<input type='radio' name='video_type' value='file'" . ($video_type ==
            "file" ? " checked='checked'" : "") . " />{$locale['type_file']}\n";
        echo "<input type='radio' name='video_type' value='url'" . ($video_type == "url" ?
            " checked='checked'" : "") . " />{$locale['type_url']}\n";
        echo "<input type='radio' name='video_type' value='youtube'" . ($video_type ==
            "youtube" ? " checked='checked'" : "") . " />{$locale['type_youtube']}\n";
        echo "<input type='radio' name='video_type' value='custom'" . ($video_type ==
            "custom" ? " checked='checked'" : "") . " />{$locale['type_custom']}\n";
        echo "</td>\n</tr>\n";
        echo "<td class='tbl1' style='width:90px;'>{$locale['video_category']}</td>\n";
        echo "<td class='tbl1'>\n";
        echo "<select name='cat_id' class='textbox'>\n" . $editlist . "</select>";
        echo "</td>\n</tr>\n";
        echo "<td class='tbl1' style='width:90px; vertical-align:top;'>{$locale['video_file']}</td>\n<td class='tbl1' style='vertical-align:top;'>\n";
        if (!empty($file))
        {
            echo "<label><input type='checkbox' name='del_video' value='1' /> {$locale['del_video']}</label>\n";
            echo "<input type='hidden' name='file_video' value='" . $file . "' />";
        } else
        {
            echo "<input type='file' name='file_video' class='textbox' style='width:250px;' /><br />\n";
            echo $locale['v_allowed'];
            echo "<br />{$locale['v_max']} " . parsebytesize($maxs);
        }
        echo "</td>\n</tr>\n";
        echo "<td class='tbl1' style='width:90px; vertical-align:top;'>{$locale['video_image']}</td>\n<td class='tbl1' style='vertical-align:top;'>\n";
        if (!empty($file_image) && !empty($file_image_thumb))
        {
            echo "<label><input type='checkbox' name='del_image' value='1' /> {$locale['del_image']}</label>\n";
            echo "<input type='hidden' name='file_image' value='" . $file_image . "' />";
            echo "<input type='hidden' name='file_image_thumb' value='" . $file_image_thumb .
                "' />";
        } else
        {
            echo "<input type='file' name='file_image' class='textbox' style='width:250px;' /><br />\n";
        }
        echo "</td>\n</tr>\n";
        echo "<tr>\n<td class='tbl1' style='width:90px;'>{$locale['allow_comments']}</td>\n";
        echo "<td class='tbl1'><input type='checkbox' name='allow_comments_post' value='1'" .
            $allow_comments . " />";
        echo "</td>\n</tr>\n";
        echo "<tr>\n<td class='tbl1' style='width:90px;'>{$locale['allow_ratings']}</td>\n";
        echo "<td class='tbl1'><input type='checkbox' name='allow_ratings_post' value='1'" .
            $allow_ratings . " />";
        echo "</td>\n</tr>\n";
        echo "<tr>\n<td style='text-align:center;' colspan='2' class='tbl1'>";
        echo "<input type='submit' name='save_video' value='" . $svalue .
            "' class='button' />";
        echo "</td>\n</tr>\n</table>\n</form>\n";
        closetable();
    } else
    {
        opentable($locale['401x']);
        if (iADMIN && checkrights("NXV"))
        {
            echo $netrixNav;
            echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='100%'>\n<tr>\n";
            echo "<td class='forum-caption' style='text-align:center; padding: 10px;'>" . $locale['n_cat_defined'] .
                "<br /><br /><a href='acat.php" . $aidlink . "'>{$locale['n_cat_add']}</a></td>";
            echo "</tr></table>";
        } else
        {
            echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='100%'>\n<tr>\n";
            echo "<td class='forum-caption' style='text-align:center; padding: 10px;'>" . $locale['n_cat_defined'] .
                "</td>";
            echo "</tr></table>";
        }
        closetable();
    }

} //END ACCESS CHECK
else
{
    redirect("index.php") . die();
}
require_once THEMES . "templates/footer.php";

?>