<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHPFusionMods.com
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) {
    die("Access Denied");
}

include INFUSIONS . "video/infusion_db.php";

if (file_exists(INFUSIONS . "video/locale/" . $settings['locale'] . ".php")) {
    include INFUSIONS . "video/locale/English.php";
    include INFUSIONS . "video/locale/" . $settings['locale'] . ".php";
} else {
    include INFUSIONS . "video/locale/English.php";
}

$inf_title = $locale['i_title'];
$inf_description = $locale['i_desc'];
$inf_version = "3.0.3";
$inf_developer = "<a href='http://www.php-fusion.co.uk/profile.php?lookup=16282' target='_blank'>Brandon Davis (NetriX)</a>";
$inf_email = "netrix@phpfusionmods.com";
$inf_weburl = "http://phpfusionmods.com";
$inf_folder = "video";

replace_in_output("<span title=\'{$locale['i_desc']}\' style=\'cursor:hand;\'>{$locale['i_title']}</span>", "<img src=\'".ADMIN."images/video_netrix.png\' width=\'28px\' height=\'28px\' style=\'margin-right: 3px; float: left;\' border=\'0\' /><strong>{$locale['i_title']}</strong><br /><a href=\'http://phpfusionmods.com\' target=\'_blank\'>PHPFusionMods.com</a>");
$inf_newtable[1] = DB_VIDEO . " (
id mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
cat_id mediumint(8) NOT NULL,
uid mediumint(8) NOT NULL,
name varchar(200) NOT NULL DEFAULT '',
time int(10) NOT NULL DEFAULT '0',
description text NOT NULL,
video_type varchar(7) NOT NULL DEFAULT '',
file varchar(200) NOT NULL DEFAULT '',
file_image varchar(120) NOT NULL,
file_image_thumb varchar(120) NOT NULL,
url varchar(150) NOT NULL DEFAULT '',
custom text NOT NULL,
views mediumint(7) NOT NULL DEFAULT '0',
total_rating int(11) NOT NULL,
rating int(11) NOT NULL,
total_ratings int(11) NOT NULL,
allow_comments tinyint(1) NOT NULL DEFAULT '1',
allow_ratings tinyint(1) NOT NULL DEFAULT '1',
PRIMARY KEY (id)
) ENGINE=MyISAM;";

$inf_newtable[2] = DB_VIDEO_CAT . " (
cat_id mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
cat_name varchar(100) NOT NULL DEFAULT '',
cat_description text NOT NULL,
cat_sorting varchar(50) NOT NULL DEFAULT 'name ASC',
cat_access tinyint(3) NOT NULL DEFAULT '0',
cat_image varchar(100) NOT NULL,
cat_parent mediumint(8) NOT NULL DEFAULT '0',
PRIMARY KEY (cat_id)
) ENGINE=MyISAM;";

$inf_newtable[3] = DB_VIDEO_SET . " (
netrix varchar(100) NOT NULL DEFAULT 'netrix',
columns tinyint(1) NOT NULL DEFAULT '2',
maxsize int(10) NOT NULL DEFAULT '52428800',
width mediumint(5) NOT NULL DEFAULT '480',
height mediumint(5) NOT NULL DEFAULT '270',
color varchar(7) NOT NULL DEFAULT '#000000',
skin varchar(50) NOT NULL DEFAULT 'glow.zip',
control varchar(6) NOT NULL DEFAULT 'bottom',
auto varchar(5) NOT NULL DEFAULT 'false',
display varchar(8) NOT NULL DEFAULT 'exactfit',
ads tinyint(1) NOT NULL DEFAULT '1',
logo VARCHAR(100) NOT NULL,
sub_access TINYINT(3) NOT NULL DEFAULT  '101',
sub_enable TINYINT(1) NOT NULL DEFAULT  '0',
items mediumint(5) NOT NULL DEFAULT '20',
t_width mediumint(5) NOT NULL DEFAULT '80',
t_height mediumint(5) NOT NULL DEFAULT '80',
video_type varchar(7) NOT NULL DEFAULT 'youtube',
logo_position varchar(12) NOT NULL DEFAULT 'bottom-left',
UNIQUE KEY netrix (netrix)
) ENGINE=MyISAM;";

$inf_altertable[1] = DB_VIDEO . " 
ADD file_image VARCHAR(120) NOT NULL,
ADD file_image_thumb VARCHAR(120) NOT NULL,
ADD allow_comments tinyint(1) NOT NULL DEFAULT '1',
ADD allow_ratings tinyint(1) NOT NULL DEFAULT '1'";

$inf_altertable[2] = DB_VIDEO_CAT . " 
ADD cat_sorting	varchar(50) NOT NULL default 'name ASC',
ADD cat_access tinyint(3) NOT NULL default '0',
ADD cat_image VARCHAR(100) NOT NULL";

$inf_altertable[3] = DB_VIDEO_SET . " 
ADD ads tinyint(1) NOT NULL default '1',
ADD logo VARCHAR(100) NOT NULL,
ADD sub_access TINYINT(3) NOT NULL DEFAULT  '0',
ADD sub_enable TINYINT(1) NOT NULL DEFAULT  '1'";

// Version 3.0.0
$inf_altertable[4] = DB_VIDEO_SET . " 
ADD items mediumint(5) NOT NULL DEFAULT '20',
ADD t_width mediumint(5) NOT NULL DEFAULT '80',
ADD t_height mediumint(5) NOT NULL DEFAULT '80',
ADD video_type varchar(7) NOT NULL DEFAULT 'youtube'";

// Version 3.0.2
$inf_altertable[5] = DB_VIDEO_CAT . "
ADD cat_parent mediumint(8) NOT NULL DEFAULT '0'";

$inf_altertable[6] = DB_VIDEO_SET . "
ADD logo_position varchar(12) NOT NULL DEFAULT 'bottom-left'";


$inf_insertdbrow[1] = DB_MESSAGES .
    " (message_to, message_from, message_subject, message_message, message_smileys, message_read, message_datestamp, message_folder) VALUES('" .
    $userdata['user_id'] . "','" . $userdata['user_id'] .
    "','".stripinput($locale['infusion_message_subject_video'])."','" . stripinput($locale['infusion_message_video']) . "','n','0','" . time() .
    "','0')";

$inf_insertdbrow[2] = DB_VIDEO_SET .
    " (netrix, columns, maxsize, width, height, color, skin, control, auto, display, ads, logo, sub_access, sub_enable, items, t_width, t_height, video_type, logo_position) VALUES ('netrix', '2', '52428800', '480', '270', '#000000', 'glow.zip', 'bottom', 'false', 'exactfit', '1', '', '101', '0', '20', '80', '80', 'youtube', 'bottom-left')";

$inf_droptable[1] = DB_VIDEO;
$inf_droptable[2] = DB_VIDEO_CAT;
$inf_droptable[3] = DB_VIDEO_SET;
$inf_droptable[4] = DB_VIDEO_SUBMIT;

$inf_deldbrow[1] = DB_SETTINGS_INF . " WHERE settings_inf='" . $inf_folder . "'";
$inf_deldbrow[2] = DB_COMMENTS . " WHERE comment_type='NX'";
$inf_deldbrow[3] = DB_RATINGS . " WHERE rating_type='V'";
$inf_deldbrow[4] = DB_ADMIN . " WHERE admin_rights='NXV'";
$inf_deldbrow[5] = DB_PANELS . " WHERE panel_filename='latest_video_center_panel'";
$inf_deldbrow[6] = DB_PANELS . " WHERE panel_filename='latest_video_side_panel'";

$inf_adminpanel[1] = array(
    "title" => "{$locale['i_atitle']}",
    "image" => "video_netrix.png",
    "panel" => "admin.php",
    "rights" => "NXV");

$inf_sitelink[1] = array(
    "title" => "{$locale['i_title']}",
    "url" => "index.php",
    "visibility" => "0");
?>