<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHPFusionMods.com
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES . "templates/header.php";
include INFUSIONS . "video/infusion_db.php";
include "inc.php";

opentable($locale['s_opentable']);
echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='100%'>\n";
echo "<tr><td class='tbl2' width='50%'><a href='index.php'>{$locale['c_index']}</a> &raquo; {$locale['s_opentable']}</td>\n<td class='tbl2' width='50%'>";
echo "<div style='float:right'><form name='search_video' action='search.php' method='get' enctype='application/x-www-form-urlencoded'>";
echo "<input type='text' name='find' style='width:150px'>&ensp;";
echo "<input type='submit' class='button' value='{$locale['s_button']}'>";
echo "</form></div>";
echo "</td>\n</tr>\n";
if (isset($_GET['find']) && ($_GET['find'] != "")) {
    $search = trim(preg_replace('/[^A-Z0-9 ]/i', '', $_GET['find']));
    $result = dbquery("SELECT * FROM " . DB_VIDEO . " WHERE name LIKE '%{$search}%' OR description LIKE '%{$search}%'");
    $count = 1;
    if (dbrows($result) != 0) {
        while ($data = dbarray($result)) {
            $class = ($count % 2 == 0 ? "tbl2" : "tbl1");
            echo "<tr>\n<td valign='top' width='100%' class='{$class}' colspan='2'>\n";
            echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";
            echo "<tr>\n<td width='100px' align='center' class='{$class}'>\n";
            if ($data['video_type'] == "youtube" && $data['url']) {
                echo "<img src='http://i2.ytimg.com/vi/{$data['url']}/default.jpg' alt='' style='border:0; width:90px; height:60px;' />\n";
            } elseif (!empty($data['file_image_thumb']) && file_exists("images/" . $data['file_image_thumb'])) {
                echo "<img src='images/" . $data['file_image_thumb'] .
                    "' alt='' style='border:0; width:80px; height:80px;' />\n";
            } else {
                echo "<img src='images/cat_images/cat1.png' alt='' style='border:0;' />\n";
            }
            echo "</td>\n<td valign='top' class='{$class}'>\n";
            echo "<a href='video.php?id=" . $data['id'] . "'><strong>".highlight_words($search, $data['name']) .
                "</strong></a>\n";
            if ($data['description'] != "") {
                $data['description'] = highlight_words($search, $data['description']);
                echo "<br />\n<span class='small'>" . nl2br(parseubb(parsesmileys($data['description']),
                    "b|i|u|small|url|mail|img|color")) . "</span>\n";
            }
            echo "<br />\n<span class='small'>{$locale['v_tv']} " . number_format($data['views']) .
                "</small>\n";
            echo "</td>\n</tr>\n</table>\n";
            echo "</td>\n</tr>\n";
            $count++;
        }
    } else {
        echo "<tr>\n<td class='forum-caption' style='text-align:center; padding: 10px;' colspan='2'>{$locale['s_results']}\n</td>\n</tr>";
    }
} else {
    echo "<tr>\n<td class='forum-caption' style='text-align:center; padding: 10px;' colspan='2'>{$locale['s_results']}\n</td>\n</tr>";
}
echo "</table>";
footer();
closetable();
require_once THEMES . "templates/footer.php";
?>